> ## Documentation Index
> Fetch the complete documentation index at: https://docs.illocution.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe to SSE events

> Subscribe to Server-Sent Events for a live session. Only one SSE consumer may be attached at a time.



## OpenAPI

````yaml api-reference/openapi.json get /analyze/live/{session_id}/events
openapi: 3.1.0
info:
  title: Illocution Insights API
  description: >-
    Developer-facing guide for the conversation-intelligence platform that
    powers docs.illocution.ai. The FastAPI service (version 0.3.0) exposes REST
    and Server‑Sent Events (SSE) endpoints for uploading media, driving live
    sessions, and retrieving higher-level insights.
  version: 0.3.0
servers:
  - url: https://api.illocution.ai
    description: Production API server
security:
  - apiKeyAuth: []
paths:
  /analyze/live/{session_id}/events:
    get:
      tags:
        - Live Streaming
      summary: Subscribe to SSE events
      description: >-
        Subscribe to Server-Sent Events for a live session. Only one SSE
        consumer may be attached at a time.
      operationId: getLiveEvents
      parameters:
        - name: session_id
          in: path
          required: true
          description: Live session identifier
          schema:
            type: string
      responses:
        '200':
          description: SSE stream of events
          content:
            text/event-stream:
              schema:
                type: string
        '404':
          description: Unknown live session
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Concurrent SSE attach
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - detail
      properties:
        detail:
          type: string
          description: Error message
          example: Invalid or missing API key
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key for authentication. Can also be passed as query parameter:
        api_key=<client key>

````